﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WG_ClearParticularSummary
{
    class CustomCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
        
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            if (parent is SummaryFooterUIElement)
            {
                var rowCollection = parent.GetContext() as RowsCollection;

                if (rowCollection.ParentRow != null &&
                    rowCollection.ParentRow.IsGroupByRow &&
                    rowCollection.ParentRow.Index == 0)
                {
                    parent.Parent.ChildElements.Remove(parent);
                    return true;
                }
            }
            return false;
        }
    }
}
